#include<stdio.h>

int main()
{
	 long long int h,l,i,x = -1;
	
	scanf("%lld",&l);
	
	scanf("%lld",&h);
	
	long long int a[l];
	
	for(i = 0;i < l;i++) {
		scanf("%lld",&a[i]);
	}
	i = 0;
	while(i < l && x == -1) {
		if(h >= a[i]) {
			x = i + 1;
		}
		i++;
	}
		printf("%lld",x);	
}